
(function ($) {

  Drupal.behaviors.redirectOnDeleteAdmin = {
    attach: function (context) {
      // Add/update a link allowing the user to test the redirect link.
      $('#edit-redirect-destination', context).change(function(e) {
        var destination = $(this).val();
        var destinationLink = '';
        // Generate the link if the destination has a value.
        if (destination.length > 0) {
          // Replace special Drupal <front> value with site frontpage.
          destination = destination.replace('<front>', '');
          var destinationUrl = Drupal.settings.basePath + destination;
          var destinationLink =  '<a href="' + destinationUrl + '" target="_blank">' + Drupal.t('Open destination in new window') + '</a>'
        }
        $('#redirect-on-delete-preview', context).html(destinationLink);
      }).change();
    }
  };

})(jQuery);
